Uploaded image for project: 'Apache Whirr (retired)'
  1. Apache Whirr (retired)
  2. WHIRR-747

Whirr builds with new version require mvn install before site can be generated

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 0.8.2
    • Fix Version/s: 0.9.0
    • Component/s: build
    • Labels:
      None

      Description

      Pet peeve, I admit, but... Currently, you have to run mvn install before you can run mvn site (or do aggregate javadocs, etc) when you change versions. That's...annoying. And unnecessary. The way to fix this is to split the current parent+top-level POM into two - a parent POM that everything inherits from, which has the dependency management, common plugin definitions, profiles, etc, and a top-level POM that serves as the root of the reactor (i.e., has the module list in it), has the aggregate-specific logic in it (i.e., assembly stuff, site stuff, the like), and itself inherits from the parent POM.

        Attachments

        1. WHIRR-747.patch
          54 kB
          Andrew Bayer

          Activity

            People

            • Assignee:
              abayer Andrew Bayer
              Reporter:
              abayer Andrew Bayer
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: